Subject: Re: bug#25863: 25.1; garbage display by small image

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Feb 2017 11:06:58 +0200

> From: [email-masked]
> Cc: [email-masked]
> Date: Sat, 25 Feb 2017 17:48:40 +0900
> 
> >> (progn
> >>   (switch-to-buffer (generate-new-buffer "temp"))
> >>   (insert-image (create-image (concat "P4\n8 22\n" (make-string 22 127))
> >>                               'pbm t))
> >>   (insert ?g)
> >>   (redisplay)
> >>   (delete-char -1))
> >
> > Not reproducible here.
> 
> Reducing the height of the image or enlarging the font may show garbages.
> Otherwise I have no idea.
> 
> With emacs -Q, the font used is
> "-outline-Courier New-normal-normal-normal-mono-20-*-*-*-c-*-iso8859-1".
> In this case, garbages are shown with images of height from 11 to 22.
> 
> Setting the font to
> "-outline-Courier New-normal-normal-normal-mono-16-*-*-*-c-*-iso8859-1".
> In this case, garbages are shown with images of height from 9 to 18.

I'm not sure I understand how to change the test case to account for
the above.  Evaluating "(face-font 'default)" in "emacs -Q" produces
this:

  "-outline-Courier New-normal-normal-normal-mono-13-*-*-*-c-*-iso8859-1"

How to change the test case to reproduce the problem with this font,
please?